Create multiple tasks
curl --request POST \
--url https://apiweb.mile.app/api/v3/tasks/bulk/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"background": false,
"tasks": [
{
"flow": "Visit",
"hubId": "634e98498ce07d29474a7e29",
"field1": "Jack Ward",
"field2": "Gambir Jakarta",
"field3": "-6.230815251,106.75684387",
"startTime": "2022-11-02T07:28:23+00:00",
"endTime": "2022-11-05T07:28:23+00:00"
},
{
"flow": "Visit",
"hubId": "634e98498ce07d29474a7e29",
"field1": "John Birdy",
"refId": "66544e0855d2696d401d8252"
}
]
}
'import requests
url = "https://apiweb.mile.app/api/v3/tasks/bulk/"
payload = {
"background": False,
"tasks": [
{
"flow": "Visit",
"hubId": "634e98498ce07d29474a7e29",
"field1": "Jack Ward",
"field2": "Gambir Jakarta",
"field3": "-6.230815251,106.75684387",
"startTime": "2022-11-02T07:28:23+00:00",
"endTime": "2022-11-05T07:28:23+00:00"
},
{
"flow": "Visit",
"hubId": "634e98498ce07d29474a7e29",
"field1": "John Birdy",
"refId": "66544e0855d2696d401d8252"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
background: false,
tasks: [
{
flow: 'Visit',
hubId: '634e98498ce07d29474a7e29',
field1: 'Jack Ward',
field2: 'Gambir Jakarta',
field3: '-6.230815251,106.75684387',
startTime: '2022-11-02T07:28:23+00:00',
endTime: '2022-11-05T07:28:23+00:00'
},
{
flow: 'Visit',
hubId: '634e98498ce07d29474a7e29',
field1: 'John Birdy',
refId: '66544e0855d2696d401d8252'
}
]
})
};
fetch('https://apiweb.mile.app/api/v3/tasks/bulk/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": 2,
"failed": 0,
"tasks": [
{
"status": true,
"message": "Task has been created",
"_id": "62067ee1cd77000042006f89"
},
{
"status": true,
"message": "Task has been created",
"_id": "62067ee3cd77000042006f8b",
"refId": "66544e0855d2696d401d8252"
}
]
}{
"status": false,
"message": "Bad request - invalid parameters provided."
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Task
Create multiple tasks
POST
/
tasks
/
bulk
/
Create multiple tasks
Authorizations
Use a valid Bearer token to authenticate.
Body
application/json
The maximum data for creating multiple tasks is 2000 data.
Show child attributes
Show child attributes
When the background parameter is set to true , the action will be processed in the background. In this mode, the API call will return quickly with a response indicating that the create task request has been received and is being processed asynchronously in the background. When the background parameter is set to false (default), the create task will be processed directly via API. This means that the API call will wait for the create task process to complete before returning the results to the user.
Default: false.
⌘I